Bug 477879 - 'Activate' button greyed out instead of saying why cannot activate
'Activate' button greyed out instead of saying why cannot activate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 12:49 EST by Ed Avis
Modified: 2009-07-14 11:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2008-12-24 12:49:24 EST
Description of problem:

system-config-network greys out the Activate button when it's not available (even if the interface is currently inactive).  But that does not explain to the user why the interface couldn't be activated.  The button should be clickable and should pop up an informative message.

Version-Release number of selected component (if applicable):

system-config-network-1.5.10-1.fc9.noarch

How reproducible:

Steps to Reproduce:
1. Deactivate an existing network interface.
2. In system-config-network double-click it, and set 'controlled by NetworkManager' true.
3. Press OK.

Actual results:

The Activate button is now greyed out.

Expected results:

The button should still be pressable, and if there is some reason why it can't be done (e.g. you should use NetworkManager instead), then an error message should appear to the user when the button is pressed.

That would explain what the problem is, whereas greying out the button gives no clue.
Comment 1 Jiri Moskovcak 2008-12-25 11:24:55 EST
It depends, I think it shouldn't be pressable, but I agree there should be some explanation - maybe a button tooltip..

Jirka
Comment 2 Bug Zapper 2009-06-09 23:27:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:24:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.